function [CDF,bestHisto,bestHistoCumul,minCDF]=...
  CDFplot (exper_fBest,mini,maxi,nbBins, option,name)
edges=linspace(mini,maxi,nbBins);
global isOctave

figure;
% PDF
if option<2 
  if isOctave
    bestHisto=hist(exper_fBest,nbBins,1);
  
    else % Matlab
bestHisto=histogram(exper_fBest,edges,'Normalization','probability',...
  'visible','off');
  end

else 
if isOctave
  %% ??
  else
  bestHisto=histogram(exper_fBest,edges,'Normalization','probability',...
    'DisplayName',name);
    end
end

% CDF
if isOctave
 x=sort(exper_fBest);
    n=histc(x,edges);
  CDFy=cumsum(n);
  CDFy=CDFy/CDFy(length(CDFy)); % Normalise
  plot(edges,CDFy);
  CDF=[edges;CDFy];
  
  else
pdf=bestHisto.Values;
 		ax=gca;
 		ax.YLim=[0 1];

	CDFx=bestHisto.BinEdges(1:bestHisto.NumBins);
 		CDFy=cumsum(pdf)/sum(bestHisto.Values);
    minCDF=CDFy(1);

 		bestHistoCumul=plot(CDFx,CDFy,'DisplayName',name);

 		CDF=[CDFx;CDFy]; % For future comparisons	
 end 
 
 
end
