function landNewRegular(FuncAddr)
       global regular
       regular=true;
       
       global  nbParabD localMinF sizeA  sameMinF indParab 

title = 'Defining a regular landscape';
prompt = {
  'Dimension',...
  'Number of intervals',...
  'Plateau "rate" (0=no plateau, 1=as many as possible")',...
  'Local minimum value (<0 if random)',...
  };
defaultans ={ '1','5', '0', '0.5'};
options.Position=[200 800 250 300];
answer = inputdlg(prompt,title,1,defaultans,options);

if isempty(answer)
  D=0;
  return
end

D=str2num(answer{1});
 nbParabD=str2num(answer{2});
plateauRate=str2num(answer{3});
sameMinF=str2num(answer{4});

 npd=nbParabD^D;
    
    if sameMinF<=0 
      localMinF=0.1 +0.9*rand(1,npd); % Values of the minima. 

    % Replace some paraboloids by a plateau
    nbPlateau=plateauRate*npd;
    for n=1:nbPlateau
      localMinF(randi(npd))=1;
    end
    end
     
    % Define the global minimum position (value zero)
    globMin=randi(npd);
    localMinF(globMin)=0;
     sizeA=[]; for d=1:D sizeA=[sizeA nbParabD]; end;
   
     % Display its position                       
      [out{1:D}]=ind2sub(sizeA,globMin);
       indParab=cell2mat(out);
       fprintf('\n The theoretical minimum zero is on \n'); 
       disp((indParab-0.5)/nbParabD)
  
   % Plots, if possible
  if D<=2
    landPlotF( 16, 0,FuncAddr, zeros(1,D), ones(1,D),zeros(1,D))
  end
     
     
 end

%{

% Ask for saving

fprintf('\n Dimension %i',D);
fprintf('\n Number of domains: %i',nbDom);
fprintf('\n Number of plateaus: %i \n',nbPlateau)
if quickTriang
  fprintf('\nWarning: as you use the quick triangulation')
  fprintf('\n the real number may be higher, because ')
  fprintf('\n the "inside" test can not work properly')
  endnb
  fprintf('\n Number of domains (D-triangles) %i\n',nbDom)
end

D=landSave(x,middle,triangle,structure,smooth);
%}
