function f = hart3(x)
%{
	min: -3.86278 on (0.114614, 0.555649, 0.852547)
%}

alpha = [1.0, 1.2, 3.0, 3.2]';
A = [3.0, 10, 30;
     0.1, 10, 35;
     3.0, 10, 30;
     0.1, 10, 35];
P = 10^(-4) * [3689, 1170, 2673;
               4699, 4387, 7470;
               1091, 8732, 5547;
               381, 5743, 8828];

f = 0;
for i = 1:4
	inner = 0;
	for j = 1:3
		xj = x(j);
		Aij = A(i, j);
		Pij = P(i, j);
		inner = inner + Aij*(xj-Pij)^2;
	end
	df = alpha(i) * exp(-inner);
	f = f + df;
end

f = -f;

end
