function landPlotF( fun, opt_f,FuncAddr, LB, UB,quantis)
D=length(LB);
switch D
case 1
  u(1)=0;
  n=1000; 
  du=1/(n-1);
  
  for i=2:n
    u(i)=u(i-1)+du;
  end
   f=[];
  for i=1:n
     f(i)=fEval(u(i), fun, opt_f,FuncAddr,0, LB, UB,quantis);
  end
  
  h=figure('NumberTitle','off');
  if exist('fileName')
    h.Name=fileName;
  end
  
  hp=plot(u,f, 'LineWidth',2);
  axis([min(u) max(u) min(f)  max(f)+2*eps]);
   xlabel('x'); ylabel('f')
   set(get(gca,'YLabel'),'Rotation',0);
  drawnow % To display without waiting the end of the run
  
  case 2
%disp(x);disp(middle);disp(triangle);disp(structure);   
  n=50; %100;
  u=linspace(0,1,n);
  y=u;
  
     h = waitbar(0,'I prepare the plot. Please wait...');
  for i=1:n
      waitbar(i/n)  
    for j=1:n    
     f(i,j)=fEval([u(i), y(j)], fun, opt_f,FuncAddr,0, LB, UB,quantis);
    end
  end
  figure
  hs=surfc(u,y,f); %surf(u,y,f);
  ax=gca;
  ax.YAxisLocation = 'left';
  xlabel('y'); ylabel('x'); % Just for easier comparison with the
  axis ij;                  % following figure (the domains)
  view(-104,40);
      close (h)
end
end