function delta0=multiparaboloidDelta0(nbParabD,localMinF, sizeA,...
  sameMinF,globMin)
% Evaluate the delta0 difficulty 
% The landscape has been defined by multiparaboloidDefine

D=length(sizeA);
dxParabD=1/nbParabD;
domainSize=dxParabD^D; % All D-squares have the same size
nbDom=length(localMinF);

delta=0;
for n=1:nbDom
  if n==globMin continue; end
  delta=delta+1/localMinF(n);
end
delta=1/domainSize+domainSize*delta;

% Normalisation
 delta0=1-1/(sqrt(delta)+1);
 fprintf('\ndelta0 difficulty: %f \n',delta0);
 
end
