function Test(nDom)

x=[1 2;3 4;0 3]
min(x)
max(x)

return

[x,middle,triangle,structure,D]=landRead;

facet=nchoosek(triangle(nDom,:),D); % Each facet has D+1 vertices
                                    
%disp(facet); 

% Each facet is a hyperplan
% We will use it as a constraint

for fac=1:D+1
  M=zeros(D+1,D+1);
  M(1:D,1:D)=x(facet(fac,:),:);
  M(D+1,1)=1;
  M(D+1,D+1)=0;
  M(1:D,D+1)=ones(D,1);
  
  if rank(M)<D+1  % The matrix is singular, we modify it
    fprintf('\n Singular matrix, I modify it ')
    M(D+1,1)=0;
    M(D+1,2)=1;
  end
  
  fprintf('\n ------fac %i \n',fac);
 
    fprintf('\n M \n');disp(M)
    
  xD=ones(D+1,1); %[zeros(D,1);1];
  H0=linsolve(M,xD);
  H=H0(1:D);
 
  fprintf('\n H \n');disp(H)
  
  % Value for the middle
fprintf('\n middle \n');disp(middle(nDom,:))

  Hmiddle=middle(nDom,:)*H;
  fprintf('\n Hmiddle %f \n',Hmiddle)
end



return
options = optimoptions(@fmincon,...
    'Display','off','Algorithm', 'interior-point');
 %   'TolCon',TolCon, 'TolFun',TolFun);



[x,middle,triangle,structure,D]=landRead;

[nbDom,D1]=size(triangle);
D=D1-1;
zerosD=zeros(1,D);
onesD=ones(1,D);

for nDom=1:nbDom
fun=@(xx)valuex(xx, x,middle,triangle, structure,nDom);

Dtriangle=triangle(nDom,:);  
xTriangle(1:D+1,1:D)=x(Dtriangle,:);


x0 = middle(nDom,:);
%[xMin(nDom,:),fMin(nDom)] = fminsearch(fun,x0, options);

[xMin(nDom,:),fMin(nDom)]=fmincon(fun,x0,[],[],[],[],zerosD,onesD,[],options);

%fprintf('\n nDom %i, fMin %f',nDom,fMin(nDom));

end
[fBest,minDom]=min(fMin);
xBest=xMin(minDom,:);
fprintf('\n fBest %f',fBest)
fprintf('\n on ' );disp(xBest)
return

%{
f = uifigure('NumberTitle', 'off','MenuBar','none');
  f.Name='Already saved landscapes';
  f.Units='normalized';
  f.Position=[0.2 0.15 0.2 0.5];
 %} 
f=uifigure;  
lb=uilistbox(f);
lb.Position=[0.15 0.15 0.2 0.5];
Infolder = dir; %(folder_name);
files = {Infolder(~[Infolder.isdir]).name};
lb.Items=files;

return



%{
difficulty=0.8;

h = msgbox(sprintf('            %f',difficulty),...
  'Estimated difficulty');

htext = findobj(h, 'Type', 'Text');  %find text control in dialog
htext.FontSize = 15;     %set fontsize to whatever you want
h.Units='normalized';
h.Position=[0.35,0.25 0.15 0.06];
%}
%{
[x,middle,triangle,structure,D]=landRead;

domainRank=1;
quantis=[];
[fBest,xBest]= greedy (x,triangle, structure,domainRank,quantis);
fprintf('\n Solution %f, on ',fBest); disp(xBest)

%}

%{
A=test
syms aa bb cc x1 x2 x3
syms f1 f2 f3
assume(x1,'real');
assume(x2,'real');
assume(x3,'real');
assume(f1,'real');
assume(f2,'real');
assume(f3,'real');

M=[
 x1^2 x1 1
 x2^2 x2 1
 x3^2 x3 1
];
F=[f1 f2 f3]';
A=linsolve(M,F);
disp(A)
%}
end
