function [x,middle,triangle,structure,smooth,D,xBest,fBest,fMax]=landRead
 x=[];
 middle=[];
  triangle=[];
  structure=[];
  D=0;
  smooth=[];
  xBest=[];
  fBest=[];
clear valuex
%------------------------- Asks for the file
[fileName,pathName]=uigetfile('./MyFunctions/LandGener/*.txt');
if fileName==0
  return
end

path=[pathName fileName];
landFile=fopen(path,'r');

%------------------------- Reads the file
nbDom=fscanf(landFile,'%i ',[1 1]); % Number of domains
D=fscanf(landFile,'%i ',[1 1]); % Dimension
N=fscanf(landFile,'%i ',[1 1]); % Number of vertices
smooth=fscanf(landFile,'%f ',[1 1]); % Smoothness

fprintf('\n');disp(fileName)

if nbDom<2 
  fprintf('\n %i domain',nbDom);
else
fprintf('\n %i domains',nbDom);
end
fprintf(', dimension %i',D);

 % The vertices
    x=fscanf(landFile,'%f ',[D,N]);
x=x';

% The "middles"
    middle=fscanf(landFile,'%f ',[D,nbDom]);
    middle=middle';

 % The D-triangles
    triangle=fscanf(landFile,'%i ',[D+1,nbDom]);
    triangle=triangle';

% Reads structure
structure=fscanf(landFile,'%f',[D+3,nbDom]);
structure=structure';

% The best position, if known
if ~feof(landFile)
xBest=fscanf(landFile,'%f ',[D,1]);
xBest=xBest';
end

% The best value, if known
if ~feof(landFile)
fBest=fscanf(landFile,'%f ',[1,1]);
end

% The worst value, if known
if ~feof(landFile)
fMax=fscanf(landFile,'%f ',[1,1]);
end

%-----------------------------------
nbPlateau=nbDom-sum(structure(:,1));
if nbPlateau<=1
fprintf(', %i plateau \n',nbPlateau);
else
 fprintf(', %i plateaus \n',nbPlateau); 
end

if D<3
  landPlot(x,middle,triangle, structure,smooth,fileName);
end

end
