function D=landSave(x,middle,triangle,structure,smooth)
 D=0;
answ=dialogYN('Would you like to save this landscape?');
if answ==0
  return
end

  [fileName,pathName] = uiputfile('*.txt');
 if fileName==0
   return
 end 
  %path=[pathName fileName '.txt'];
  path=[pathName fileName];
  landFile=fopen(path,'w');

  [nbDom,D3]=size(structure);
  D=D3-3; % Dimension
  
  [N,~]=size(x);
  fprintf(landFile,'%i %i %i %f',nbDom, D,N,smooth);
  
  for n=1:N % The vertices
    fprintf(landFile,'\n');
    for d=1:D
      fprintf(landFile,'%f ',x(n,d));
    end
  end
  
  for n=1:nbDom % The "middles" of each domain
    fprintf(landFile,'\n');
    for d=1:D
      fprintf(landFile,'%f ',middle(n,d));
    end
  end
  
  for n=1:nbDom % The D-triangles
     fprintf(landFile,'\n');
    for d=1:D+1
      fprintf(landFile,'%i ',triangle(n,d));
    end
  end

  for n=1:nbDom % The structures
    fprintf(landFile, '\n %i',structure(n,1));
    for d=2:D3
      fprintf(landFile, ' %f',structure(n,d));
    end
  end
  
  Message=[...
    'The landscape (domain and structure) has been saved in the file '...
    path];
  h=msgbox(Message);

end