function Loop
%{
 For tests.  To look for optimal parameters searchSpaceExpand and centerRate
on a given problem.
Save the results on the file fLoop

%}
global searchSpaceExpand
global centerRate
funSet=2; % Set of problems (see APS12_Monte)
fun=10;
D=10;

results=createResults('APS12_loop');
FileName = [results, num2str(funSet), '[',num2str(fun),']'];
fLoop=fopen(FileName, 'w');
fprintf(fLoop,'funSet %i, fun %i, D %i',funSet,fun, D)
fprintf(fLoop,'\n searchSpaceExpand centerRate Best  Median  Mean StdDev')

for k1=1:6
  searchSpaceExpand=(k1-1)/10;
  for k2=1:6
    centerRate=(k2-1)/10;
  
  [fBestExper, fMedianExper, fMeanExper,fStdExper]...
    =APS12_Monte(funSet, fun, 
  
  [], D)
  
  fprintf(fLoop,'\n%f %f  %e %e %e %e', searchSpaceExpand,centerRate,...
    fBestExper, fMedianExper, fMeanExper,fStdExper)
  end
end

end