function fit=multiparaboloid(x,nbParabD,localMinF, sizeA,  sameMinF,...
indParab)
% Evaluate the position x 
% The landscape has been defined by multiparaboloidDefine

[D,~]=size(x);
dxParabD=1/nbParabD;

  for d=1:D % Find the paraboloid and its middle
      r(d)=floor(x(d)*nbParabD);
      mind=dxParabD*r(d);
      maxd=mind+dxParabD;
      m(d)=0.5*(mind+maxd);
  end
    
    r1=min(r+1,nbParabD);
     
    fit=0;
    for d=1:D
      fit=fit+(x(d)-m(d))^2;
    end
    
  fit=fit/(D*(dxParabD/2)^2); % Normalise to 1
  
  if sameMinF>0
    if ~isequal(indParab,r1) % If not global minimum domain
      fit=sameMinF+(1-sameMinF)*fit; % Same local minima
    end  
  else
  for n=1: length(localMinF) % Modify some local minima
   [out{1:D}]=ind2sub(sizeA,n);
   ind=cell2mat(out);
  
    if  isequal(ind,r1)  
      lmf=localMinF(n);
    fit=lmf+(1-lmf)*fit;
     break;
   end
  end
  end
 
end
